Subject: Re: bug#54598: 27.2; Bad interraction between modus-theme and hs-minor-mode

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Apr 2022 17:25:57 +0300

> From: Protesilaos Stavrou <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Thu, 07 Apr 2022 15:44:56 +0300
> 
> Fundamentally, the constraint lies in the implimation of the
> 'fill-column-indicator'.  Ideally, it would be the same as the
> 'vertical-border' which, in my understanding, is always rendered as a
> thin contiguous line.

The difference is that the vertical-border is displayed between
windows, whereas the fill-column indicator, by its very nature, must
be displayed in the window's text area.  That is the reason behind the
different implementation: we don't have capabilities to display
arbitrary graphics in the text area of a window,l except showing a
glyph there.